SDL_SetGamepadSensorEnabled(3)

NAME
SDL_SetGamepadSensorEnabled - Set whether data reporting for a gamepad sensor is enabled.

SYNOPSIS
#include <SDL3/SDL_gamepad.h>

bool SDL_SetGamepadSensorEnabled(SDL_Gamepad *gamepad, SDL_SensorType type, bool enabled);

FUNCTION PARAMETERS

gamepad
    the gamepad to update.

type
    the type of sensor to enable/disable.

enabled
    whether data reporting should be enabled.

RETURN VALUE
for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GamepadHasSensor(3), SDL_GamepadSensorEnabled(3)